You need to update your browser


You will need to update your internet browser to use ParentPay.


Your internet browser is old or has settings which will make using ParentPay difficult or impossible.

Microsoft removed support (including security updates) for some of their older browsers and we no longer support them. 

From our records you could be using an out-of-date and unsupported browser.

The security of our users is of paramount importance to us.

We are no longer able to support browsers containing known security flaws that may compromise our customers’ security and users’ data. 

Using the latest internet browser helps keep you safer online and allows you to benefit from the latest ParentPay features.

What do you need to do?

We strongly advise you check your browser versions on and laptop, tablet or mobile device you currently use to access ParentPay against our list of supported browsers*.

If required, please take action and update your browser.

We recommend using the latest available, but as a minimum you’ll need to update to a version that is supported. Please check the guidance below.

What happens if you don’t update your browser?

Failure to use a supported browser will mean that you will be unable to login to ParentPay.

What browsers will ParentPay support?
 
*The minimum supported browser versions will be: 

•    Chrome 35 or higher
•    Firefox 30 or higher
•    Internet Explorer 9 or higher (Please note TLS 1.2 is disabled by default on some older browser versions - this will need to be enabled**)
•    Microsoft Edge
•    Safari 7 or higher (Apple Mac) or Safari 6 or higher (mobile)  

How do you update your browser?
 
It’s usually easy to update your browser by visiting the website of your browser provider and downloading from there. Some browsers allow you to update from the browser menu.
 
Unfortunately, ParentPay are unable to provide IT support for browser updates.

What other settings are relevant?

•    Your browser needs to support TLS 1.1 or higher**
•    Your browser needs to have JavaScript enabled 

 

**How do I update my TLS settings?

1.     Go to Tools and select Internet Options.

2.     Select the Advanced tab in Internet Options.

3.     Enable(check) TLS 1.2.

4.     Click on Apply and OK to complete the procedure.